/******************************************************************************
 * ProfileSelectorNotifier.java - Notify the implementer when a different profile is selected.
 * $Id: ProfileSelectorNotifier.java,v 1.3 2010/03/03 13:12:21 inim Exp $
 * 
 * BuckoFIBS - Backgammon by BuckoSoft
 * Copyright© 2009,2010 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: ProfileSelectorNotifier.java,v $
 * Revision 1.3  2010/03/03 13:12:21  inim
 * Replaced (c) sign in comment mangled by CVS default encoding back to UTF-8
 *
 * Revision 1.2  2010/03/03 12:19:49  inim
 * Moved source to UTF8 encoding from CP1252 encoding. To this end all source files' (c) message was updated to "Copyright© 2009,2010 - Dick Balaska - BuckoSoft, Corp.". This replaces the (c) sign to UTF8, and adds the new year 2010.
 *
 * Revision 1.1  2010/02/04 05:57:53  inim
 * Mavenized project folder layout
 *
 * Revision 1.3  2009/01/28 18:15:10  dick
 * Prettier cvs link in the javadoc.
 *
 * Revision 1.2  2009/01/07 20:02:49  dick
 * Javadoc.
 *
 * Revision 1.1  2009/01/07 08:35:58  dick
 * Notify the implementer when a different profile is selected.
 *
 */
package com.buckosoft.fibs.BuckoFIBS.gui.account;

/** Notify the implementer when a different profile is selected. 
 * @author Dick Balaska
 * @since 2009/01/06
 * @version $Revision: 1.3 $ <br> $Date: 2010/03/03 13:12:21 $
 * @see <a href="http://cvs.buckosoft.com/Projects/BuckoFIBS/BuckoFIBS/src/com/buckosoft/fibs/BuckoFIBS/gui/account/ProfileSelectorNotifier.java">cvs ProfileSelectorNotifier.java</a>
 */
public interface ProfileSelectorNotifier {
	/** Notify the implementer when a different profile is selected.
	 * This is so the containing dialog can update his widgets.
	 */
	void profileChanged();
}
