/******************************************************************************
 * SavedMatch.java - Describe a saved match that we have with a player
 * $Id: SavedMatch.java,v 1.3 2010/03/03 13:12:21 inim Exp $
 * 
 * BuckoFIBS - Backgammon by BuckoSoft
 * Copyright© 2009,2010 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: SavedMatch.java,v $
 * Revision 1.3  2010/03/03 13:12:21  inim
 * Replaced (c) sign in comment mangled by CVS default encoding back to UTF-8
 *
 * Revision 1.2  2010/03/03 12:19:48  inim
 * Moved source to UTF8 encoding from CP1252 encoding. To this end all source files' (c) message was updated to "Copyright© 2009,2010 - Dick Balaska - BuckoSoft, Corp.". This replaces the (c) sign to UTF8, and adds the new year 2010.
 *
 * Revision 1.1  2010/02/04 05:57:53  inim
 * Mavenized project folder layout
 *
 * Revision 1.3  2009/02/20 10:26:44  dick
 * Use YourName and OpponentName where possible, instead of just "getName".
 *
 * Revision 1.2  2009/02/14 15:46:17  dick
 * BuckoFIBS is released under the GNU license.
 * Javadoc.
 *
 * Revision 1.1  2009/02/01 08:59:21  dick
 * Describe a saved match that we have with a player.
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is BuckoFIBS, <http://www.buckosoft.com/BuckoFIBS/>.
 * The Initial Developer of the Original Code is Dick Balaska and BuckoSoft, Corp.
 * 
 */
package com.buckosoft.fibs.domain;

/** Describe a saved match that we have with a player.
 * @author Dick Balaska
 * @since 2009/02/01
 * @version $Revision: 1.3 $ <br> $Date: 2010/03/03 13:12:21 $
 * @see <a href="http://cvs.buckosoft.com/Projects/BuckoFIBS/BuckoFIBS/src/com/buckosoft/fibs/domain/SavedMatch.java">cvs SavedMatch.java</a>
 */
public class SavedMatch {
	private	String	opponentName;
	private	int		matchLength;
	private	int		yourScore;
	private	int		opponentScore;

	/** Create an empty/default SavedMatch
	 */
	public SavedMatch() {}

	/** Get the name of the opponent
	 * @return the name
	 */
	public String getOpponentName() {
		return opponentName;
	}

	/** Set the name of the opponent
	 * @param name the name to set
	 */
	public void setOpponentName(String name) {
		this.opponentName = name;
	}

	/** Return the number of games in this match
	 * @return the matchLength
	 */
	public int getMatchLength() {
		return matchLength;
	}

	/** Set the number of games in this match.
	 * @param matchLength the matchLength to set
	 */
	public void setMatchLength(int matchLength) {
		this.matchLength = matchLength;
	}

	/** Get Your score in this match
	 * @return the yourScore
	 */
	public int getYourScore() {
		return yourScore;
	}

	/** Set Your score in this match
	 * @param yourScore the yourScore to set
	 */
	public void setYourScore(int yourScore) {
		this.yourScore = yourScore;
	}

	/** Get the opponent's score in this match
	 * @return the opponentScore
	 */
	public int getOpponentScore() {
		return opponentScore;
	}

	/** Set the opponent's score in this match
	 * @param opponentScore the opponentScore to set
	 */
	public void setOpponentScore(int opponentScore) {
		this.opponentScore = opponentScore;
	}
}
